com.jogamp.gluegen.structgen

## Class CStructAnnotationProcessor.AnnotationProcessorJavaStructEmitter

- java.lang.Object
- - com.jogamp.gluegen.JavaEmitter
  - - com.jogamp.gluegen.structgen.CStructAnnotationProcessor.AnnotationProcessorJavaStructEmitter

- All Implemented Interfaces:
    GlueEmitter
  Enclosing class:
    CStructAnnotationProcessor

      public static class CStructAnnotationProcessor.AnnotationProcessorJavaStructEmitter
      extends JavaEmitter

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.jogamp.gluegen.JavaEmitter

      `JavaEmitter.EmissionStyle, JavaEmitter.MethodAccess`

  - ### Field Summary

    - ### Fields inherited from class com.jogamp.gluegen.JavaEmitter

      `cfg, LOG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CStructAnnotationProcessor.AnnotationProcessorJavaStructEmitter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected PrintWriter` | `openFile(String filename, String simpleClassName)`

    - ### Methods inherited from class com.jogamp.gluegen.JavaEmitter

      `addStrings2Buffer, beginDefines, beginEmission, beginFunctions, beginStructLayout, beginStructs, createConfig, cWriter, emitAllFileFooters, emitAllFileHeaders, emitCHeader, emitCInitCode, emitCustomJavaCode, emitDefine, emitFunctions, emitJavaInitCode, emitStruct, endDefines, endEmission, endFunctions, endStructLayout, endStructs, expandMethodBinding, generateMethodBindingEmitters, generatePrivateEmitters, generatePublicEmitters, getConfig, getImplPackageName, getJavaOutputDir, getJavaPackageName, getJavaRadix, getJavaType, getJavaType, getJavaValue, getJNIMethodNamePrefix, javaImplWriter, javaWriter, jniMangle, layoutStruct, prepCEmitter, readConfigurationFile, requiresStaticInitialization`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CStructAnnotationProcessor.AnnotationProcessorJavaStructEmitter

          public CStructAnnotationProcessor.AnnotationProcessorJavaStructEmitter()

  - ### Method Detail

    - #### openFile

          protected PrintWriter openFile(String filename,
                             String simpleClassName)
                                  throws IOException

      Overrides:
        `openFile` in class `JavaEmitter`
      Parameters:
        `filename` - the class's full filename to open w/ write access
        `simpleClassName` - the simple class name, i.e. w/o package name
      Returns:
        a `PrintWriter` instance to write the class source file or `null` to suppress output!
      Throws:
        `IOException`